Subject: [v6ops] I-D Action: draft-ietf-v6ops-6204bis-05.txt

From: [email-masked]
Date: Thu, 22 Dec 2011 13:03:18 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories. This draft is a work item of the IPv6 Operations Working Group of the IETF.

	Title           : Basic Requirements for IPv6 Customer Edge Routers
	Author(s)       : Hemant Singh
                          Wes Beebee
                          Chris Donley
                          Barbara Stark
                          Ole Troan
	Filename        : draft-ietf-v6ops-6204bis-05.txt
	Pages           : 21
	Date            : 2011-12-22

   This document specifies requirements for an IPv6 Customer Edge (CE)
   router.  Specifically, the current version of this document focuses
   on the basic provisioning of an IPv6 CE router and the provisioning
   of IPv6 hosts attached to it.  The document also covers IP transition
   technologies.  Two transition technologies in RFC 5969's 6rd and RFC
   6333's DS-Lite. are covered in the document.  The document obsoletes
   RFC 6204, if approved.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-v6ops-6204bis-05.txt

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

This Internet-Draft can be retrieved at:
ftp://ftp.ietf.org/internet-drafts/draft-ietf-v6ops-6204bis-05.txt

---

From: Mark Townsley <[email-masked]>
Date: Fri, 23 Dec 2011 14:55:12 +0100

DLW-3:  If the IPv6 CE Router is configured with an IPv4 address on
           its WAN interface then the IPv6 CE Router SHOULD disable the
           DS-Lite B4 element.
This requirement is saying that if the ISP has Dual-Stack configured alongside Dual-Stack Lite, that the CE SHOULD override this and disable Dual-Stack Lite entirely.
Is that what we *really* want for Christmas?
- Mark

On Dec 22, 2011, at 10:03 PM, [email-masked] wrote:

> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 24 Dec 2011 08:24:38 +1300

> Is that what we *really* want for Christmas?

I would have thought so, yes. Native is surely always better than a tunnel,
for any version of IP. I'd be happy to get a dual stack ISP service for Christmas.

   Brian

---

From: Mark Townsley <[email-masked]>
Date: Fri, 23 Dec 2011 20:52:36 +0100

> for any version of IP. I'd be happy to get a dual stack ISP service for Christmas.

There are two points here though. One, whether the default behavior should be to prefer v6 or v4 over v6 transport which you address in this reply. 

The other equally if not more important is whether the CE should automatically reject one type of config from the ISP when another is made available, and the race conditions associated with trying to own than decision locally at the CE - something very much not addressed in the document.

---

From: Mark Andrews <[email-masked]>
Date: Sat, 24 Dec 2011 09:34:07 +1100

In message <[email-masked]>, Brian E Carpenter writes:
> > This requirement is saying that if the ISP has Dual-Stack configured alongs
> ide Dual-Stack Lite, that the CE SHOULD override this and disable Dual-Stack 
> Lite entirely.

It's NAT44 or NAT44 + CGN vs local tunnel + CGN.  Disabling
DS-Lite is not a straight forward call.  If you have RFC 1918
on the outside then you know you are comparing NAT44 + CGN to
local tunnel + CGN.

local tunnel == internal to the ISP

All *other* things have to be equal for native to trump tunnel.

Mark

-- 
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 24 Dec 2011 13:01:17 +1300

> All *other* things have to be equal for native to trump tunnel.

But why would an operator provide CGN (NAT444) and DS-Lite service
simultaneously to the same customer?

In any case it seems like this should be a configurable choice;
the SHOULD in the draft is the default for that choice.

    Brian

---

From: Mark Andrews <[email-masked]>
Date: Sat, 24 Dec 2011 13:25:09 +1100

In message <[email-masked]>, Brian E Carpenter writes:
> >> for any version of IP. I'd be happy to get a dual stack ISP service for Ch
> ris
> >> tmas.
> > 

Because they have a mix of IPv4 only and IPv6 customers that they
are trying to migrate to IPv6 only.  If the CPE does everything
over IPv6 the ISP can see when the native IPv4 traffic drops to
zero.

---

From: "Frank Bulk" <[email-masked]>
Date: Mon, 26 Dec 2011 09:18:43 -0600

All transition concerns, ones we've decided to punt to ter or another
document.

Frank

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Mark Andrews
Sent: Friday, December 23, 2011 8:25 PM
To: Brian E Carpenter
Cc: [email-masked] Operations
Subject: Re: [v6ops] draft-ietf-v6ops-6204bis-05.txt

In message <[email-masked]>, Brian E Carpenter writes:
> >>> This requirement is saying that if the ISP has Dual-Stack configured
alon
> gs
> >> ide Dual-Stack Lite, that the CE SHOULD override this and disable
Dual-Sta
> ck 
> >> I would have thought so, yes. Native is surely always better than a
tunnel
> ,